MySQL Version & Server Migration

Live Free

Active member
I'm migrating a 1.5.24 board to a new server.

Old server has MySQL 5.6.41 and PHP 5.6.29.

New server has MySQL 5.7.33 and PHP 7.3.27.

Can I do a direct database restore, or do I need to upgrade MySQL on the old server to 5.7.33 first before restoring the database on the new server?

My understanding is PHP 7.3.x is okay for 1.5.24?

Thanks for any assistance.
 

Brogan

XenForo moderator
Staff member
The mysql version is irrelevant.

However, you will need to confirm the version of XF you were running and any add-ons are compatible with the newer PHP version.

XF 1.5.24 is compatible with PHP 7.3.
 

Live Free

Active member
The mysql version is irrelevant.

However, you will need to confirm the version of XF you were running and any add-ons are compatible with the newer PHP version.

XF 1.5.24 is compatible with PHP 7.3.
Thanks Brogan.

When you say XF 1.5.24 is compatible with PHP 7.3, would that apply to 7.3.27, or only 7.3(.0)?
 

Brogan

XenForo moderator
Staff member
XF 1.5.24 was released 29 May 2019 so it will be compatible with PHP versions released before that date.
 
Top